ISPconfig/sites not working after upgrade to Ubuntu 13.10

Discussion in 'Installation/Configuration' started by zkvvoob, Mar 11, 2015.

  1. zkvvoob

    zkvvoob Member

    I just finished upgrading my server to Ubuntu 13.10. Previously I had had it configured thanks to the "Perfect server" guide for 12.10.
    Unfortunately, after the upgrade I can neither access ISPConfig's web interface (version, nor any of the websites that had previously been working all right.
    Could you please help me (urgently) get out of this mess?
    Thanks a lot in advance!
  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Dowload the ispconfig tar.gz, unpack it, run the update.php script in the install folder and let the updater reconfigure the services.
  3. zkvvoob

    zkvvoob Member

    I did that, the first thing to come to my mind. But no luck.
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    Then check the apache error.log. Which apache version do you have installed now?
  5. zkvvoob

    zkvvoob Member

    Apache 2.4.6

    [Wed Mar 11 19:34:17 2015] [warn] [client] mod_fcgid: stderr: PHP Warning:  mysqli::close(): Couldn't fetch db in /usr/local/ispconfig/interface/lib/classes/ on line 82, referer:
    [Wed Mar 11 20:08:11 2015] [notice] caught SIGTERM, shutting down
    [Wed Mar 11 20:08:12 2015] [notice] suEXEC mechanism enabled (wrapper: /usr/lib/apache2/suexec)
    [Wed Mar 11 20:08:12 2015] [notice] Digest: generating secret for digest authentication ...
    [Wed Mar 11 20:08:12 2015] [notice] Digest: done
    [Wed Mar 11 20:08:12 2015] [notice] FastCGI: process manager initialized (pid 21812)
    [Wed Mar 11 20:08:12 2015] [notice] mod_python: Creating 8 session mutexes based on 150 max processes and 0 max threads.
    [Wed Mar 11 20:08:12 2015] [notice] mod_python: using mutex_directory /tmp
    [Wed Mar 11 20:08:13 2015] [notice] Apache/2.2.22 (Ubuntu) DAV/2 mod_fastcgi/mod_fastcgi-SNAP-0910052141 mod_fcgid/2.3.7 PHP/5.4.6-1ubuntu1.8 mod_python/3.3.1 Python/2.7.3 mod_ruby/1.2.6 Ruby/1.8.7(2012-02-08) mod_ssl/2.2.22 OpenSSL/1.0.1c configured -- resuming normal operations
    [Wed Mar 11 20:14:47 2015] [notice] Graceful restart requested, doing restart
    apache2: Syntax error on line 239 of /etc/apache2/apache2.conf: Syntax error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load /usr/lib/apache2/modules/ into server: /usr/lib/apache2/modules/ undefined symbol: ap_unixd_config
    P.S. I also tried the steps outlined here: but to no avail. :(
  6. till

    till Super Moderator Staff Member ISPConfig Developer

    Ok, thats one part of the problem. apache 2.4 has a differnt config syntax then your old apache 2.2. You can try this:

    remove all symlins in /etc/apache2/sites-enabled/ except of the ispconfig and default vhost links. Then restart apache, login to ispconfig, and run the resync tool in the tools section to let ispconfig rewrite the config data in apache 2.4 syntax.

    another poblem seems to be that the apache php module is bropen. Try to reinstall it with

    apt-get install --reinstall ......
  7. zkvvoob

    zkvvoob Member

    I wonder if you could help me some more...

    Removed the symlinks, but when I tried restarting Apache, got the following error:

    * Restarting web server apache2                                                    [fail]
    * The apache2 configtest failed.
    Output of config test was:
    apache2: Syntax error on line 263 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/sites-enabled/000-default.vhost: No such file or directory
    Action 'configtest' failed.
    The Apache error log may have more information.
    The thing is, there IS a file 000-default.vhost.
    Also, when you say --reinstall, which package should I actually add after the command?
    Thank you!
  8. till

    till Super Moderator Staff Member ISPConfig Developer

    The file
    /etc/apache2/sites-enabled/000-default.vhost is a symlnik. Maybe the target of the link (
    /etc/apache2/sites-enabled/default.vhost) is missing?

    and try to run:

    apt-get install --reinstall libapache2-mod-php5
  9. zkvvoob

    zkvvoob Member

    I think I'm making progress, but when accessing ISPconfig's web interface, I get an 404 error - access denied
    You don't have permission to access / on this server.
    Any idea what I should change?

    P.S. The error.log displays the following lines when I try to connect:
    [Wed Mar 11 23:13:05.855593 2015] [authz_core:error] [pid 13412] [client] AH01630: client denied by server configuration: /var/www/
    [Wed Mar 11 23:13:06.455371 2015] [authz_core:error] [pid 13412] [client] AH01630: client denied by server configuration: /var/www/favicon.ico
    EDIT 2: got around the 403 error, but all I get now is the standard Apache message "It works!".
    EDIT3: These are the sites-enabled I currently have. Perhaps somewhere there is the problem?

    From my tries, it appears that FCGID is not installed, but I also can't install it because of the following error:
    apt-get install libapache2-mod-fcgid
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:
    The following packages have unmet dependencies:
     libapache2-mod-fcgid : Depends: apache2.2-common but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    Could anyone please help me?
    Last edited: Mar 12, 2015

Share This Page